Subject: Re: ncurses/termcap, just won't clear the screen?
From: [email-masked] ("eric hilton")

22 May 1997 15:23:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
In-reply-to: <[email-masked]>
X-mailer: Pegasus Mail for Win32 (v2.53/R1)
Original-Sender: [email-masked]

> From:          [email-masked]
> I've just rebuilt termcap & ncurses, that went fine.  But now I'm 
> trying to run some of the test programs that ncurses has.  And it 
> appears that it just cannot erase the screen.  The curses is set to 
> the top of the window, but all the text is still there.  I've tried a 
> few different things for my TERM env variable, linux, ansi, pc-ansi, 
> vt100,  etc.  They all behaved the same.

Check your /etc/termcap file to see if you have the updated one. 
Basic term abilities seem to work now. I got rogue compiled and 
working just fine. (Although I didn't use ncurses, it comes with a 
toned down curses implementation)

Try this:

#include <stdio.h>
int
main()
{
	printf("\033[2J");
}

Compile and run it, if it clears the screen your term has the 
properties of a proper terminal.

BTW my $TERM is ansi. I set it in autoexec.bat. I seem to recall when 
I used linux term it didnt clear my screen either.

-e
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".